Skip to main content
GET
Read Connection Activity

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connectionActivityId
string
required

Response

200 - application/json

OK

id
string

The unique object identifier.

version
integer<int64>

Data integrity version to ensure data consistency.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

connectionId
string

The ID of the Connection this activity belongs to.

tableId
string

The table identifier when the activity is table-scoped, or null for connection-level activities.

status
enum<string>

The outcome status of the activity.

Available options:
OK,
ERROR,
WARNING
timestamp
string<date-time>

When the activity occurred.

message
string

A message summarizing the activity outcome.

remoteResponse
string

Remote-system detail when available.

activityType
enum<string>

The category of activity.

Available options:
CONNECTION_TEST,
AUTH,
LOCATION
requestId
string

The request identifier for the API or job invocation that produced this activity, for correlation with logs.